# Created by pyp2rpm-3.3.8
%global pypi_name anitya-schema
%global pypi_version 2.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        JSON schema definitions for messages published by Anitya

License:        GPLv2+
URL:            https://github.com/fedora-infra/anitya/
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/anitya_schema-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fedora-messaging)
BuildRequires:  python3dist(setuptools)

%description
Anitya Message Schema JSON schema definitions for messages published by
Anitya.See for documentation on the schema format. See for documentation on
fedora-messaging.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(fedora-messaging)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Anitya Message Schema JSON schema definitions for messages published by
Anitya.See for documentation on the schema format. See for documentation on
fedora-messaging.


%prep
%autosetup -n anitya_schema-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

#project doesn't have unit test files

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/anitya_schema
%{python3_sitelib}/anitya_schema-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun May 29 2022 Sérgio Basto <sergio@serjux.com> - 2.0.0-1
- Initial package.
